Jump to content

ACAD Line Thickness Help.


thickly
 Share

Recommended Posts

Can anyone tell me how to universally set line thickness to 0". I usually just take ACAD drawings, clean them up a bit and import into 3ds max so I can extrude them up. I keep getting drawings from colleagues though with different line thickness, and even some where the start of the a line might be at 0" in the z-axis, but end at 4" in the z-axis -- and its really screwing me up when importing the drawings.

 

Is there anyway to take a drawing and easily set it so all lines are at 0" on the z-axis and have 0" thickness?

 

Thanks!

Link to comment
Share on other sites

hi There

 

To set elevations To 0 use 'flatten.lsp'

select: ALL Then run The 'flatten.lsp'

 

To set plines width To 0, well do This

 

; ETC-PLNS.LSP.

; Copyright © 1988 by Gary D. Lipp

 

(setq pre-plw 0.0)

(defun C:PLW (/ ss i lth en et v osm snm)

(setq osm (getvar "OSMODE") snm (getvar "SNAPMODE") )

(setvar "CMDECHO" 0) (setvar "OSMODE" 0) (setvar "SNAPMODE" 0)

(prompt " PLineWidth... also changes Lines and Arcs to wide Plines.")

(prompt (strcat "\n Enter, or show, the new Pline width: "))

(setq v (getdist))

(if (setq ss (ssget))

(progn (setq i 0 lth (sslength ss))

(if (= nil v) (setq v pre-plw) (setq pre-plw v) ) ; END OF IF

(while (

(setq et (cdr (assoc 0 (entget (setq en (ssname ss i))))))

(cond ((= et "LWPOLYLINE") (command ".PEDIT" en "W" v "X"))

((= et "ARC" ) (command ".PEDIT" en "Y" "W" v "x"))

((= et "LINE" ) (command ".PEDIT" en "Y" "W" v "x"))

) ; END COND.

(prompt ".") (setq i (1+ i))

) ) ) ; END OF WHILE i

(setvar "OSMODE" osm) (setvar "SNAPMODE" snm)

(setvar "CMDECHO" 1) (prompt "Done.\n")

(strcat (rtos pre-plw) " is now the width of the Plines.") )

 

**

 

select: ALL The lsp routine will filter out what can be modified

 

**

 

i may have renamed The lsp file but it is/was written by its original author, not me

 

**

 

hope This helps

 

i use This pline width modifier ALL The Time, works well Too

There are 'other' pline edit/modifiers Too. from The same author

 

PLC, PLineClose... Select the Plines to Close:"

PLD, PLineFitDecurve... Select the Plines to Decurve:"

PLF, PLineFitCurve... Select the Plines to Fit Curve:"

PLO, PLineOpen... Select the Plines to Open:"

PLS, PLineFitSpline... Select the Plines to Spline Fit:" very useful

PLX, polyline explode

 

These Two i use ALL The Time

 

PLJ, PLineJoin... Select the Lines, Arcs, and Plines to Join:"

PLW, PLineWidth... also changes Lines and Arcs to wide Plines."

 

PLJ can work on multiple selections at The same Time, very handy

 

Thanks

 

Randy

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...